org.yaml.snakeyaml.introspector

## Class GenericProperty

- java.lang.Object
- - org.yaml.snakeyaml.introspector.Property
  - - org.yaml.snakeyaml.introspector.GenericProperty

All Implemented Interfaces:
  Comparable<Property>

Direct Known Subclasses:
  FieldProperty, MethodProperty

    public abstract class GenericProperty
    extends Property

### Constructor Summary

Constructors
Constructor and Description
`GenericProperty(String name, Class<?> aClass, Type aType)`

### Method Summary

Methods
`Class<?>[]` `getActualTypeArguments()`

### Methods inherited from class org.yaml.snakeyaml.introspector.Property

`compareTo, equals, get, getAnnotation, getAnnotations, getName, getType, hashCode, isReadable, isWritable, set, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GenericProperty

    public GenericProperty(String name,
                   Class<?> aClass,
                   Type aType)

### Method Detail

#### getActualTypeArguments

    public Class<?>[] getActualTypeArguments()

Specified by:
  `getActualTypeArguments` in class `Property`